Bug 237138 - devel/meson: Update to 0.50.0
Summary: devel/meson: Update to 0.50.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://mesonbuild.com/Release-notes-...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2019-04-09 07:25 UTC by Tobias Kortkamp
Modified: 2019-04-14 18:35 UTC (History)
2 users (show)

See Also:
antoine: maintainer-feedback+
antoine: exp-run+


Attachments
meson.diff (901 bytes, patch)
2019-04-09 07:25 UTC, Tobias Kortkamp
no flags Details | Diff
v2 (2.58 KB, patch)
2019-04-11 17:35 UTC, Tobias Kortkamp
no flags Details | Diff
v3 (3.81 KB, patch)
2019-04-11 22:11 UTC, Tobias Kortkamp
tobik: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-04-09 07:25:05 UTC
Created attachment 203519 [details]
meson.diff
Comment 1 Tobias Kortkamp freebsd_committer 2019-04-09 07:25:58 UTC
Probably needs an exp-run.
Comment 2 Antoine Brodin freebsd_committer 2019-04-11 13:23:34 UTC
accessibility/at-spi2-core fails to build which generates over 1200 ports skipped

http://package23.nyi.freebsd.org/data/112i386-default-PR237123-138/2019-04-11_08h41m13s/logs/errors/at-spi2-core-2.28.0.log
Comment 3 Tobias Kortkamp freebsd_committer 2019-04-11 17:35:11 UTC
Created attachment 203600 [details]
v2

Fix build of at-spi2-core with meson 0.50.0
Comment 4 Tobias Kortkamp freebsd_committer 2019-04-11 22:11:16 UTC
Created attachment 203606 [details]
v3

Fix build of totem too
Comment 5 Antoine Brodin freebsd_committer 2019-04-13 20:00:40 UTC
Exp-run looks fine
Comment 6 Tobias Kortkamp freebsd_committer 2019-04-14 04:27:56 UTC
Thanks for the exp-runs Antoine.  Could someone from the GNOME Ports team
approve the patch too?
Comment 7 Antoine Brodin freebsd_committer 2019-04-14 18:30:24 UTC
Approved by portmgr
Comment 8 Tobias Kortkamp freebsd_committer 2019-04-14 18:35:11 UTC
(In reply to Antoine Brodin from comment #7)
> Approved by portmgr

Thanks for making this clear.
Comment 9 commit-hook freebsd_committer 2019-04-14 18:35:29 UTC
A commit references this bug:

Author: tobik
Date: Sun Apr 14 18:34:57 UTC 2019
New revision: 498947
URL: https://svnweb.freebsd.org/changeset/ports/498947

Log:
  devel/meson: Update to 0.50.0

  - Add build fixes for at-spi2-core and totem

  Changes:	https://mesonbuild.com/Release-notes-for-0-50-0.html
  PR:		237138
  Submitted by:	tobik
  Approved by:	portmgr (antoine)
  Exp-run by:	antoine

Changes:
  head/accessibility/at-spi2-core/files/
  head/accessibility/at-spi2-core/files/patch-atspi_meson.build
  head/devel/meson/Makefile
  head/devel/meson/distinfo
  head/multimedia/totem/files/
  head/multimedia/totem/files/patch-src_meson.build